name: glances
services:
  glances:
    container_name: glances
    image: nicolargo/glances:4.4.1
    pid: host
    deploy:
      resources:
        reservations:
          memory: "256M"
    environment:
      GLANCES_OPT: -w
    restart: unless-stopped
    network_mode: bridge
    privileged: false
    volumes:
      - type: bind
        source: /var/run/docker.sock
        target: /var/run/docker.sock
      - type: bind
        source: /mnt
        target: /mnt
    ports:
      - target: 61208
        published: "61208"
        protocol: tcp
      - target: 61209
        published: "61209"
        protocol: tcp

    x-casaos:
      envs:
        - container: GLANCES_OPT
          description:
            en_us: Glances mode  
            zh_cn: Glances模式
  
      ports:
        - container: "61208"
          description:
            en_us: WebUI HTTP Port
            zh_cn: WebUI HTTP端口
          protocol: tcp

        - container: "61209"
          description:
            en_us: Glances API port
            zh_cn: Glances API 端口
          protocol: tcp

      volumes:
        - container: /var/run/docker.sock
          description:
            en_us: Docker socket
            zh_cn: Docker socket

        - container: /mnt
          description:
            en_us: Drivers mount folder
            zh_cn: 驱动器挂载点

x-casaos:
  architectures:
    - amd64
    - arm64
  main: glances
  author: joaobosconff
  category: Utility
  description:
    en_us: Glances is an open-source system cross-platform monitoring tool. It allows real-time monitoring of various aspects of your system such as CPU, memory, disk, network usage etc.
    zh_cn: Glances 是一个开源的跨平台系统监控工具。它允许实时监控系统的各个方面，如 CPU、内存、磁盘、网络使用情况等。
    pt_br: Glances é uma ferramenta de monitoramento de sistema de plataforma cruzada de código aberto. Ele permite o monitoramento em tempo real de vários aspectos do seu sistema, como CPU, memória, disco, uso da rede, etc.
  developer: Nicolas Hennion
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Glances/icon.png
  screenshot_link:
  - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Glances/screenshot-1.png
  tagline:
    en_us: Cross-platform monitoring tool.
    zh_cn: 跨平台监控工具
    pt_br: Ferramenta de monitoramento multiplataforma.
  title:
    en_us: Glances
    zh_cn: Glances
    pt_br: Glances
  index: /
  port_map: "61208"
